org.apache.ode.bpel.extvar.jdbc

## Enum InitType

- java.lang.Object
- - java.lang.Enum<InitType>
  - - org.apache.ode.bpel.extvar.jdbc.InitType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InitType>

      public enum InitType
      extends java.lang.Enum<InitType>

  Enumeration of methods in which a new external variable row initialization is handled.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `delete_insert` First delete the row, then insert a new one.
    `insert` Just insert the row, if already exist fails.
    `update` Just try to update the row, if does not already exist, fails.
    `update_insert` Try updating the row, if no exist, then try inserting.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InitType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InitType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### update

          public static final InitType update

      Just try to update the row, if does not already exist, fails.

    - #### insert

          public static final InitType insert

      Just insert the row, if already exist fails.

    - #### update_insert

          public static final InitType update_insert

      Try updating the row, if no exist, then try inserting.

    - #### delete_insert

          public static final InitType delete_insert

      First delete the row, then insert a new one.

  - ### Method Detail

    - #### values

          public static InitType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InitType c : InitType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InitType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null